Bug 991092 - Cannot set properties attribute through jboss-cli
Cannot set properties attribute through jboss-cli
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER1
: 6.0.0
Assigned To: Keith Babo
Depends On:
  Show dependency treegraph
Reported: 2013-08-01 11:27 EDT by kconner
Modified: 2014-06-16 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-06 10:26:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1629 Critical Closed Cannot set properties attribute through jboss-cli 2016-01-22 06:32 EST

  None (edit)
Description kconner 2013-08-01 11:27:32 EDT
See attached SwitchYard JIRA for details
Comment 1 kconner 2013-08-01 11:30:45 EDT
Note: this issue is blocking the installer as it prevents the initialisation of the configuration files through the command line.
Comment 3 JBoss JIRA Server 2013-08-01 11:52:18 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1629

Comment 4 ppecka 2013-08-22 11:56:43 EDT
VERIFIED on soa-6.0.0.ER1

[standalone@localhost:9999 subsystem=switchyard] /subsystem=switchyard:read-attribute(name=properties) 
    "outcome" => "success",
    "result" => undefined
[standalone@localhost:9999 subsystem=switchyard] /subsystem=switchyard:write-attribute(name=properties,value={hu => bu})
    "outcome" => "success",
    "response-headers" => {
        "operation-requires-reload" => true,
        "process-state" => "reload-required"
[standalone@localhost:9999 subsystem=switchyard] /subsystem=switchyard:read-attribute(name=properties)                  
    "outcome" => "success",
    "result" => {"hu" => "bu"},
    "response-headers" => {"process-state" => "reload-required"}
Comment 8 JBoss JIRA Server 2014-06-16 19:52:21 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1629 to Closed

Note You need to log in before you can comment on or make changes to this bug.